SLING-7682 - Add support for data-sly-list and data-sly-repeat iteration control
authorRadu Cotescu <radu@apache.org>
Fri, 25 May 2018 11:27:44 +0000 (13:27 +0200)
committerRadu Cotescu <radu@apache.org>
Mon, 18 Jun 2018 13:42:50 +0000 (15:42 +0200)
* implemented code changes
* updated HTL TCK module to current snapshot

pom.xml

diff --git a/pom.xml b/pom.xml
index abbef81..d0af5d7 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -37,7 +37,7 @@
         The versioning scheme defined here corresponds to SLING-7406 (<module_version>-<htl_specification_version>). Take care when
         releasing to only increase the first part, unless the module provides support for a newer version of the HTL specification.
     -->
-    <version>1.0.9-1.3.1-SNAPSHOT</version>
+    <version>1.0.9-1.4.0-SNAPSHOT</version>
     <packaging>bundle</packaging>
 
     <name>Apache Sling Scripting HTL Integration Tests Content</name>
                                 <artifactItem>
                                     <groupId>io.sightly</groupId>
                                     <artifactId>io.sightly.tck</artifactId>
-                                    <version>1.3.5</version>
+                                    <version>1.4.0-SNAPSHOT</version>
                                     <type>jar</type>
                                     <outputDirectory>${project.build.directory}/sightlytck/</outputDirectory>
                                     <includes>**/*.html,**/*.js,**/*.java</includes>
         <dependency>
             <groupId>org.apache.sling</groupId>
             <artifactId>org.apache.sling.scripting.sightly.compiler.java</artifactId>
-            <version>1.0.23-1.3.1-SNAPSHOT</version>
+            <version>1.0.23-1.4.0-SNAPSHOT</version>
             <scope>provided</scope>
         </dependency>
         <dependency>
             <groupId>org.apache.sling</groupId>
             <artifactId>org.apache.sling.scripting.sightly</artifactId>
-            <version>1.0.49-1.3.1-SNAPSHOT</version>
+            <version>1.0.53-1.4.0-SNAPSHOT</version>
             <scope>provided</scope>
         </dependency>
         <dependency>